Package com.pixelmed.network

# Class CMoveResponseCommandMessage

java.lang.Object
com.pixelmed.network.CMoveResponseCommandMessage

public class CMoveResponseCommandMessage extends Object

## Constructor Summary

Constructors
Constructor
Description
`CMoveResponseCommandMessage(AttributeList list)`
`CMoveResponseCommandMessage(String affectedSOPClassUID, int messageIDBeingRespondedTo, int status, boolean dataSetPresent, int nRemaining, int nCompleted, int nFailed, int nWarning)`
`CMoveResponseCommandMessage(String affectedSOPClassUID, int messageIDBeingRespondedTo, int status, boolean dataSetPresent, AttributeTagAttribute offendingElement, String errorComment)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAffectedSOPClassUID()`
`byte[]`
`getBytes()`
`int`
`getCommandField()`
`String`
`getErrorComment()`
`int`
`getGroupLength()`
`int`
`getMessageIDBeingRespondedTo()`
`int`
`getNumberOfCompletedSuboperations()`
`int`
`getNumberOfFailedSuboperations()`
`int`
`getNumberOfRemainingSuboperations()`
`int`
`getNumberOfWarningSuboperations()`
`AttributeTagAttribute`
`getOffendingElement()`
`int`
`getStatus()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CMoveResponseCommandMessage

public CMoveResponseCommandMessage(AttributeList list) throws DicomException, IOException

Parameters:
  `list` -
Throws:
  `IOException`
  `DicomException`

### CMoveResponseCommandMessage

public CMoveResponseCommandMessage(String affectedSOPClassUID, int messageIDBeingRespondedTo, int status, boolean dataSetPresent, AttributeTagAttribute offendingElement, String errorComment) throws DicomException, IOException

Parameters:
  `affectedSOPClassUID` -
  `messageIDBeingRespondedTo` -
  `status` -
  `dataSetPresent` -
  `offendingElement` -
  `errorComment` -
Throws:
  `IOException`
  `DicomException`

### CMoveResponseCommandMessage

public CMoveResponseCommandMessage(String affectedSOPClassUID, int messageIDBeingRespondedTo, int status, boolean dataSetPresent, int nRemaining, int nCompleted, int nFailed, int nWarning) throws DicomException, IOException

Parameters:
  `affectedSOPClassUID` -
  `messageIDBeingRespondedTo` -
  `status` -
  `dataSetPresent` -
  `nRemaining` -
  `nCompleted` -
  `nFailed` -
  `nWarning` -
Throws:
  `IOException`
  `DicomException`

## Method Details

### getGroupLength

public int getGroupLength()

### getAffectedSOPClassUID

public String getAffectedSOPClassUID()

### getCommandField

public int getCommandField()

### getMessageIDBeingRespondedTo

public int getMessageIDBeingRespondedTo()

### getStatus

public int getStatus()

### getNumberOfRemainingSuboperations

public int getNumberOfRemainingSuboperations()

### getNumberOfCompletedSuboperations

public int getNumberOfCompletedSuboperations()

### getNumberOfFailedSuboperations

public int getNumberOfFailedSuboperations()

### getNumberOfWarningSuboperations

public int getNumberOfWarningSuboperations()

### getOffendingElement

public AttributeTagAttribute getOffendingElement()

### getErrorComment

public String getErrorComment()

### getBytes

public byte[] getBytes()